using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.Station
{
    /// <summary>
    ///  520
    /// </summary>
    [DataContract]
    public class WCS_Station520 : IStation520
    {
        /// <inheritdoc/>
        [DataMember(Order = 0)]
        public int TaskNumber { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 1)]
        public short GoodsStart { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 2)]
        public short GoodsEnd { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 3)]
        public ModeEunm Mode { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 4)]
        public short CmdType { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 5)]
        public short VoucherNo { get; set; }
    }
}
